<?php

// ------------------------------------------------------------
pagecheck();
// ------------------------------------------------------------

// (Shirai075): fs_moodleの設定を表示するメニューをサイト管理に追加 (2008/07/21)

function fsconfig_check_assignmentSettings()
{
    global $CFG, $fsCFG;
    print_section_header('課題提出に関する設定');

    print_subsection_header_fs_switch('FS_DISABLE_ASSIGNUPLOAD_RICHDISPLAY');
    echo '　課題（Assignment）モジュールにおいて”複数ファイルのアップロード”／”単一ファイルのアップロード”を選択した場合に有効な設定です．';
    echo '標準のMoodleではファイル名の右横にファイルを削除するための×記号が表示されるだけの非常にシンプルな画面です．';
    echo 'この機能を有効にするとファイル名の右側にファイルサイズと更新日時の情報が追加表示され，全体もリッチな表形式の表示に変わります．';
    newline();
    print_fs_switch_condition('FS_DISABLE_ASSIGNUPLOAD_RICHDISPLAY');
    print_subsection_footer();

    print_section_footer();

    print_section_header('課題評価に関する設定');
    print_subsection_header('通知メールにコメントを追加する機能に関する設定');
    echo '　標準のMoodleでは課題の評価時に送信できる通知メールにはMoodleへのリンクのみが記述されています．';
    echo 'つまり課題の評価のうちのコメント（フィードバック）を学生が見るには，通知メールを受けてからMoodleにアクセスする必要があります．';
    echo '学生がMoodleに携帯電話のメールアドレスを登録しているのであれば，簡単にコメントを知ることができません．';
    echo '本機能を有効にすると通知メールにその学生宛のコメントが挿入されるので，学生はMoodleにアクセスしないでも';
    echo '課題の可否程度であれば知ることができます．';
    echo 'コメントはHTML形式の場合，テキストに変換されます．';
    echo '通知メールに挿入されるコメントの最大長は'.color_blue('$fsCFG->gradingnotificationcommentlength').'で変更できます．';
    print_subsubsection_header_fs_switch('FS_ENABLE_ADDCOMMENT2GRADINGNOTIFICATIONEMAIL');
    print_fs_switch_condition('FS_ENABLE_ADDCOMMENT2GRADINGNOTIFICATIONEMAIL');
    print_subsubsection_footer();

    print_subsubsection_header_fs_cfg('gradingnotificationcommentlength');
    echo '　挿入されるコメントの最大長（文字数）を制限できます．';
    echo 'もしゼロを指定すれば文字数の制限を行いません．';
    echo 'あまり短すぎると意味がありませんので，最小値を１０文字としています．';
    newline();
    echo '　現在の設定値は'.color_blue($fsCFG->gradingnotificationcommentlength).'です．';
    if ($fsCFG->gradingnotificationcommentlength == 0) {
        echo 'したがって，'.color_blue('コメントの文字数制限はありません').'．';
    } else {
        echo 'したがって，コメントが'.$fsCFG->gradingnotificationcommentlength.'文字を超える場合，';
        echo color_blue('コメントの先頭から指定した文字数を超えるコメントは省略されます').'．';
    }
    print_fs_cfg_condition('gradingnotificationcommentlength');
    print_subsubsection_footer();
    print_subsection_footer();
    print_section_footer();

}

fsconfig_check_assignmentSettings();

?>